using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using PhoenixDLL.Class.Managers;
using Utils.Log;
using PhoenixDLL.GUI.Managers.Root;

namespace PhoenixDLL.GUI.Managers
{
    /// <summary>
    /// Gestionnaire de type de mdicament
    /// </summary>
    public partial class fr_DrugsTypeManager : fr_RootManager
    {
        #region Variables
        /// <summary>
        /// Gestionnaire de type de mdicament
        /// </summary>
        private DrugsTypeManager vDrugsTypeManager = new DrugsTypeManager();
        #endregion

        #region Constructeur
        /// <summary>
        /// Constructeur
        /// </summary>
        public fr_DrugsTypeManager()
        {
            InitializeComponent();
        }
        #endregion

        #region Mthodes
        /// <summary>
        /// Traitement sur un clique sur OK
        /// </summary>
        protected override void ProcessOK()
        {
            try
            {
                switch (vUse)
                {
                    case Use.Update:
                        vDrugsTypeManager.Update();
                        break;
                    case Use.Delete:
                        vDrugsTypeManager.Delete();
                        break;
                    case Use.Add:
                        vDrugsTypeManager.Add();
                        break;
                }
            }
            catch (Exception ex)
            {
                MessageBox.Show("Une erreur est survenur pendant le traitement!\r\n"
                    + ex.Message, "Erreur", MessageBoxButtons.OK, MessageBoxIcon.Error);
                Log.GetInstance().Write(ex.Message, "fr_DrugsTypeManager.ProcessOK()", LogType.Erreur);
            }
            finally { this.Close(); }
        }
        #endregion

        #region Accesseurs
        /// <summary>
        /// Retourne ou initialise les informations sur l'honoraire
        /// </summary>
        public DrugsTypeManager Manager
        {
            get { return vDrugsTypeManager; }
            set
            {
                vDrugsTypeManager = value;
                pg_PropertyGrid.SelectedObject = Manager;
            }
        }
        #endregion
    }
}

